com.sun.jna.platform.unix

## Class X11.XSizeHints

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.X11.XSizeHints

- Enclosing interface:
    X11

      @Structure.FieldOrder(value={"flags","x","y","width","height","min_width","min_height","max_width","max_height","width_inc","height_inc","min_aspect","max_aspect","base_width","base_height","win_gravity"})
      public static class X11.XSizeHints
      extends Structure

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `X11.XSizeHints.Aspect`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `base_height`
    `int` | `base_width`
    `NativeLong` | `flags`
    `int` | `height`
    `int` | `height_inc`
    `X11.XSizeHints.Aspect` | `max_aspect`
    `int` | `max_height`
    `int` | `max_width`
    `X11.XSizeHints.Aspect` | `min_aspect`
    `int` | `min_height`
    `int` | `min_width`
    `int` | `width`
    `int` | `width_inc`
    `int` | `win_gravity`
    `int` | `x`
    `int` | `y`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSizeHints()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### flags

          public NativeLong flags

    - #### x

          public int x

    - #### y

          public int y

    - #### width

          public int width

    - #### height

          public int height

    - #### min_width

          public int min_width

    - #### min_height

          public int min_height

    - #### max_width

          public int max_width

    - #### max_height

          public int max_height

    - #### width_inc

          public int width_inc

    - #### height_inc

          public int height_inc

    - #### min_aspect

          public X11.XSizeHints.Aspect min_aspect

    - #### max_aspect

          public X11.XSizeHints.Aspect max_aspect

    - #### base_width

          public int base_width

    - #### base_height

          public int base_height

    - #### win_gravity

          public int win_gravity

  - ### Constructor Detail

    - #### XSizeHints

          public XSizeHints()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.